Name:           FlatbedCursors
Version:        0.3
Release:        1%{?dist}
Summary:        The original Flatbed Cursors

Group:          System/X11/Icons
License:        GPLv3
URL:            http://kde-look.org/content/show.php?content=32627
Source0:        FlatbedCursors-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

Requires: 	XFree86

Packager:	Jens Luetkens <j.luetkens@hamburg.de>
Distribution:	generic

prefix: /usr/share

%description
X11 mouse theme, clean and simple, with a smooth shape 
and appealing transparency. Package comes with 20 mouse themes:
 5 colors (black, blue, green, orange and white)
 4 sizes (small, regular, large and huge)

%prep
%setup -q -c %{name}-%{version} -n %{name}-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{prefix}/icons

for d in FlatbedCursors.*; do
   sh link-cursors.sh $d/cursors
   cp -R $d %{buildroot}%{prefix}/icons
done


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root,-)
#%doc AUTHORS COPYING README ChangeLog
%dir %{prefix}/icons/FlatbedCursors.*
%{prefix}/icons/FlatbedCursors.*/*



%changelog
* Wed Jun 16 2010 Jens Luetkens <j.luetkens@hamburg.de> - 0.3
- license changed back to GPLv3

* Fri Jun 19 2009 Jens Luetkens <j.luetkens@hamburg.de> - 0.2
- license changed to LGPLv3
- add mozilla css3 cursor hashes (thanx to thx)                   

* Wed Jan 17 2007 Jens Luetkens <j.luetkens@hamburg.de> - 0.1
- initial version white, 5 colors, 4 sizes
