#!/bin/sh

# the original cursors
SIZES="Small Regular Large Huge"
COLORS="Black Blue Green Orange White"

for c in $COLORS; do 
  for s in $SIZES; do 
    if [[ -f FlatbedCursorsConfigs/$c.$s.CONFIG && -f FlatbedCursorsConfigs/$c.$s.index.theme ]] ; then
      echo -e "\ninstalling \"$c $s\":\n"
      cp FlatbedCursorsConfigs/$c.$s.CONFIG CONFIG
      cp FlatbedCursorsConfigs/$c.$s.index.theme index.theme
      ./install.bash
      if [ -d ~/.icons/FlatbedCursors.$c.$s ] ; then
        rm -r ~/.icons/FlatbedCursors.$c.$s
      fi
      cp -r ~/.icons/FlatbedCursors.Custom ~/.icons/FlatbedCursors.$c.$s
    fi
  done
done

cp FlatbedCursorsConfigs/Custom.CONFIG CONFIG
cp FlatbedCursorsConfigs/Custom.index.theme index.theme

